package com.ruoyi.platform.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;

import java.io.Serializable;
import java.util.Date;

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
public class ComponentVo  implements Serializable {
    private static final long serialVersionUID = -56592844039218605L;
    /**
     * 主键
     */
    private Integer id;
    /**
     * 类别ID，数据字典配置
     */
    private Integer categoryId;
    /**
     * 组件name
     */
    private String componentName;
    /**
     * 组件面板名
     */
    private String componentLabel;
    /**
     * 镜像
     */
    @JsonProperty("image")
    private String images;
    /**
     * 工作目录
     */
    private String workingDirectory;
    /**
     * 启动命令
     */
    private String command;
    /**
     * 环境变量
     */
    @JsonProperty("env_variables")
    private Object envVirables;
    /**
     * 资源规格
     */
    private String resourcesStandard;
    /**
     * 控制策略
     */
    private String controlStrategy;
    /**
     * 挂载路径
     */
    private String mountPath;
    /**
     * 输入参数
     */
    private Object inParameters;
    /**
     * 输出参数
     */
    private Object outParameters;
    /**
     * 描述
     */
    private String description;
    /**
     * 创建者
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新者
     */
    private String updateBy;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 0,失效 1生效
     */
    private Integer state;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public String getComponentName() {
        return componentName;
    }

    public void setComponentName(String componentName) {
        this.componentName = componentName;
    }

    public String getComponentLabel() {
        return componentLabel;
    }

    public void setComponentLabel(String componentLabel) {
        this.componentLabel = componentLabel;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getWorkingDirectory() {
        return workingDirectory;
    }

    public void setWorkingDirectory(String workingDirectory) {
        this.workingDirectory = workingDirectory;
    }

    public String getCommand() {
        return command;
    }

    public void setCommand(String command) {
        this.command = command;
    }

    public Object getEnvVirables() {
        return envVirables;
    }

    public void setEnvVirables(Object envVirables) {
        this.envVirables = envVirables;
    }

    public String getResourcesStandard() {
        return resourcesStandard;
    }

    public void setResourcesStandard(String resourcesStandard) {
        this.resourcesStandard = resourcesStandard;
    }

    public String getControlStrategy() {
        return controlStrategy;
    }

    public void setControlStrategy(String controlStrategy) {
        this.controlStrategy = controlStrategy;
    }

    public String getMountPath() {
        return mountPath;
    }

    public void setMountPath(String mountPath) {
        this.mountPath = mountPath;
    }

    public Object getInParameters() {
        return inParameters;
    }

    public void setInParameters(Object inParameters) {
        this.inParameters = inParameters;
    }

    public Object getOutParameters() {
        return outParameters;
    }

    public void setOutParameters(Object outParameters) {
        this.outParameters = outParameters;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
}